Class | ActionView::Template::Path
In: | lib/action_view/template.rb
Parent: | Object

### Methods

== [] eql? load! new new_and_loaded to_s to_str

### Attributes

path | [R] |
paths | [R] |

### Public Class methods

new(path)
new_and_loaded(path)

### Public Instance methods

==(path)
[](path)

Returns a ActionView::Template object for the given path string. The input path should be relative to the view path directory, +hello/index.html.erb+. This method also has a special exception to match partial file names without a handler extension. So +hello/index.html+ will match the first template it finds with a known template extension, +hello/index.html.erb+. Template extensions should not be confused with format extensions `html`, `js`, `xml`, etc. A format must be supplied to match a formated file. +hello/index+ will never match +hello/index.html.erb+.

eql?(path)
load!()
to_s()
to_str()

[Validate]